#include <bits/stdc++.h>

using namespace std;

const long long mod = 1000000007;

long long niz2[1000005];
char niz[1000005];
int n;

long long funkcija(int index)
{
    if(niz[index]=='Z')
        return 1;

    long long ukupno = 0;
    for(int i = index + 1; i<n; i++)
    {
        if(niz[i] == niz[index] + 1)
        {
            if(niz2[i] == -1)
            {
                ukupno += funkcija(i);
                ukupno = ukupno % mod;
            }
            else
            {
                ukupno += niz2[i];
                ukupno = ukupno % mod;
            }
        }
    }

    niz2[index] = ukupno;
    return ukupno;
}

int main()
{
    scanf("%d\n", &n);
    for(int i = 0; i<n; i++)
    {
        scanf("%c", &niz[i]);
        niz2[i] = -1;
    }

    long long ukupno = 0;
    for(int i = 0; i<n; i++)
    {
        if(niz[i] == 'A')
        {
            ukupno += funkcija(i);
            ukupno = ukupno % mod;
        }
    }

    printf("%lld", ukupno);

    return 0;
}